<!--
Licensed to the Apache Software Foundation (ASF) under one or more
contributor license agreements. See the NOTICE file distributed with
this work for additional information regarding copyright ownership.
The ASF licenses this file to You under the Apache License, Version 2.0
(the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd class="cell"">
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" %>
<%@ page import="javax.naming.InitialContext" %>
<%@ page import="javax.xml.ws.Service" %>
<%@ page import="org.apache.geronimo.samples.jws.Calculator" %>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
    <title>Apache Geronimo Sample Application - JAX-WS Calculator</title>
    <meta content="text/html; CHARSET=iso-8859-1" http-equiv="Content-Type">
</head>

<BODY>
<font face="Verdana, Helvetica, Arial">

    <h3>This is a JAX-WS web service sample application. Please type the value 1 and value 2 below to see the add result.</h3>

    <form action="add.jsp">
        Value 1: <input type="text" name="value1"> Value 2: <input type="text" name="value2"> <input type="submit" value="Add">
    </form>
    <br>
    <%
        String value1 = request.getParameter("value1");
        String value2 = request.getParameter("value2");

        System.out.println(value1 + " " + value2);

        if (value1 != null && value1.trim().length() > 0 &&
                value2 != null && value2.trim().length() > 0) {

            out.println("<h4>");

            try {
                int v1 = Integer.parseInt(value1);
                int v2 = Integer.parseInt(value2);

                InitialContext ctx = new InitialContext();
                Service service = (Service) ctx.lookup("java:comp/env/services/Calculator");
                Calculator calc = service.getPort(Calculator.class);
                int sum = calc.add(v1, v2);
                out.println("Result: " + v1 + " + " + v2 + " = " + sum);
            } catch (Exception e) {
                e.printStackTrace();
                out.println("Error: " + e.getMessage());
            }

            out.println("</h4>");
        }
    %>

</FONT>
</body>
</html>

